## GarconMenuElement GarconMenuElement — Central interface. |

## Functions

const gchar * | garcon_menu_element_get_name ()
const gchar * | garcon_menu_element_get_comment ()
const gchar * | garcon_menu_element_get_icon_name ()
gboolean | garcon_menu_element_get_visible ()
gboolean | garcon_menu_element_get_show_in_environment ()
gboolean | garcon_menu_element_get_no_display ()
gboolean | garcon_menu_element_equal ()

## Object Hierarchy

        GInterface
        ╰── GarconMenuElement

## Includes

    #include <garcon/garcon.h>

## Description

Interface implemented by the Garcon types GarconMenuItem, GarconMenuSeparator and GarconMenu.

## Functions

### garcon_menu_element_get_name ()

    const gchar *
    garcon_menu_element_get_name (GarconMenuElement *element);

### garcon_menu_element_get_comment ()

    const gchar *
    garcon_menu_element_get_comment (GarconMenuElement *element);

### garcon_menu_element_get_icon_name ()

    const gchar *
    garcon_menu_element_get_icon_name (GarconMenuElement *element);

### garcon_menu_element_get_visible ()

    gboolean
    garcon_menu_element_get_visible (GarconMenuElement *element);

### garcon_menu_element_get_show_in_environment ()

    gboolean
    garcon_menu_element_get_show_in_environment
                                   (GarconMenuElement *element);

### garcon_menu_element_get_no_display ()

    gboolean
    garcon_menu_element_get_no_display (GarconMenuElement *element);

### garcon_menu_element_equal ()

    gboolean
    garcon_menu_element_equal (GarconMenuElement *a,
                               GarconMenuElement *b);

## Types and Values